# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ApiError(Model):
    """
    Api error.

    :param details: Gets or sets the Api error details
    :type details: list of :class:`ApiErrorBase
     <azure.mgmt.compute.models.ApiErrorBase>`
    :param innererror: Gets or sets the Api inner error
    :type innererror: :class:`InnerError
     <azure.mgmt.compute.models.InnerError>`
    :param code: Gets or sets the error code.
    :type code: str
    :param target: Gets or sets the target of the particular error.
    :type target: str
    :param message: Gets or sets the error message.
    :type message: str
    """ 

    _attribute_map = {
        'details': {'key': 'details', 'type': '[ApiErrorBase]'},
        'innererror': {'key': 'innererror', 'type': 'InnerError'},
        'code': {'key': 'code', 'type': 'str'},
        'target': {'key': 'target', 'type': 'str'},
        'message': {'key': 'message', 'type': 'str'},
    }

    def __init__(self, details=None, innererror=None, code=None, target=None, message=None):
        self.details = details
        self.innererror = innererror
        self.code = code
        self.target = target
        self.message = message
