# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class SshPublicKey(Model):
    """
    Contains information about SSH certificate public key and the path on the
    Linux VM where the public key is placed.

    :param path: Gets or sets the full path on the created VM where SSH
     public key is stored. If the file already exists, the specified key is
     appended to the file.
    :type path: str
    :param key_data: Gets or sets Certificate public key used to authenticate
     with VM through SSH.The certificate must be in Pem format with or
     without headers.
    :type key_data: str
    """ 

    _attribute_map = {
        'path': {'key': 'path', 'type': 'str'},
        'key_data': {'key': 'keyData', 'type': 'str'},
    }

    def __init__(self, path=None, key_data=None):
        self.path = path
        self.key_data = key_data
